OOjsUI Object-Oriented JavaScript – User Interface

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
OOUI\AccessKeyedElement Class Reference

Element with an accesskey. More...

Inheritance diagram for OOUI\AccessKeyedElement:
[legend]
Collaboration diagram for OOUI\AccessKeyedElement:
[legend]

## Public Member Functions
| __construct (Element $element, array $config=array())
| setAccessKey ($accessKey)
| Set access key. More...
| getAccessKey ()
| Get AccessKey. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\ElementMixin
| __construct (Element $element, Tag $target, array $config=array())
| Create element. More...
| getConfig (&$config)
| Add properties to the given `$config` array to allow reconstruction of this widget via its constructor. More...

## Static Public Attributes
static | $targetPropertyName = 'accessKeyed'
Static Public Attributes inherited from OOUI\ElementMixin
static string | $targetPropertyName = ''
| Property name for accessing the target on the element.

## Protected Attributes
string | $accessKey = null
| Accesskey. More...
Protected Attributes inherited from OOUI\ElementMixin
Element | $element = null
| Element being mixed into.

## Additional Inherited Members
Public Attributes inherited from OOUI\ElementMixin
Tag | $target = null
| Tag being targeted.

## Detailed Description

Element with an accesskey.

Accesskeys allow an user to go to a specific element by using a shortcut combination of a browser specific keys + the key set to the field.

## Constructor & Destructor Documentation

OOUI\AccessKeyedElement::__construct | ( | Element | $element,
|  | array | $config = `array()`
| ) |  |

Parameters

  Element | $element | Element being mixed into
  array | $config | Configuration options
  string | $config,['accessKey'] | AccessKey. If not provided, no accesskey will be added

## Member Function Documentation

OOUI\AccessKeyedElement::getAccessKey | ( |  | ) |

Get AccessKey.

Returns
  string Accesskey string

OOUI\AccessKeyedElement::setAccessKey | ( |  | $accessKey | ) |

Set access key.

Parameters

  string | $accessKey | Tag's access key, use empty string to remove

## Member Data Documentation

string OOUI\AccessKeyedElement::$accessKey = null
| protected

Accesskey.

The documentation for this class was generated from the following file:

- php/mixins/AccessKeyedElement.php